Ask Your Question
-1

php installation error in fedora 20 [closed]

asked 2014-01-23 12:14:51 -0500

melviii100 gravatar image

updated 2014-01-23 18:43:24 -0500

FranciscoD_ gravatar image

when i try to install php i get the following error, do u have any solution

Error: Package: php-5.5.7-1.fc20.x86_64 (updates) Requires: php-cli(x86-64) = 5.5.7-1.fc20 Installed: php-cli-5.5.8-1.fc20.remi.x86_64 (@remi) php-cli(x86-64) = 5.5.8-1.fc20.remi Available: php-cli-5.5.6-1.fc20.x86_64 (fedora) php-cli(x86-64) = 5.5.6-1.fc20 Available: php-cli-5.5.7-1.fc20.x86_64 (updates) php-cli(x86-64) = 5.5.7-1.fc20 You could try using --skip-broken to work around the problem ** Found 3 pre-existing rpmdb problem(s), 'yum check' output follows: php-cli-5.5.8-1.fc20.remi.x86_64 has missing requires of php-common(x86-64) = ('0', '5.5.8', '1.fc20.remi') php-process-5.5.8-1.fc20.remi.x86_64 has missing requires of php-common(x86-64) = ('0', '5.5.8', '1.fc20.remi') php-xml-5.5.8-1.fc20.remi.x86_64 has missing requires of php-common(x86-64) = ('0', '5.5.8', '1.fc20.remi')

edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by mether
close date 2014-01-23 12:34:57.898747

Comments

1

dude. stop making new questions about the same thing. stick to your question that's already active(you even have a pending request there for yum output..) the problem is in the remi packages. focus on that for now

muffin gravatar imagemuffin ( 2014-01-23 12:21:48 -0500 )edit

sorry, am too much struggled with the same error for a long period , someone giving 2-3 answer then no response. fedora 20 gives too much head ache for me. i need to start my project in php as soon as possible thats y. i wont make the fault again.

melviii100 gravatar imagemelviii100 ( 2014-01-23 12:41:45 -0500 )edit
1

The problem is that you have installed packages from a third party repo and haven't removed them yet and don't followup on comments clearly. Please don't open more questions for the same problem.

mether gravatar imagemether ( 2014-01-23 12:44:21 -0500 )edit

Installing LAMP on fedora is very very simple if you follow the instructions. Please stop installing random packages from the internet. They aren't required.

FranciscoD_ gravatar imageFranciscoD_ ( 2014-01-23 18:41:11 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2014-01-23 12:34:05 -0500

mether gravatar image

You keep opening up duplicate questions for the same problem. I am going to close all but one.

https://ask.fedoraproject.org/en/question/39733/can-anyone-helpme-to-install-lamp-in-fedora-20/

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2014-01-23 12:14:51 -0500

Seen: 203 times

Last updated: Jan 23 '14